Source: ngtcp2
Section: libs
Priority: optional
Maintainer: Sakirnth Nagarasa <sakirnth@gmail.com>
Build-Depends:
 chrpath,
 debhelper-compat (= 13),
 libcunit1-dev,
 libev-dev,
 libgnutls28-dev (>= 3.7.2),
 libnghttp3-dev (>= 0.7.0),
 pkg-config,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/ngtcp2/ngtcp2
Vcs-Browser: https://salsa.debian.org/saki/ngtcp2
Vcs-Git: https://salsa.debian.org/saki/ngtcp2.git

Package: libngtcp2-7
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: implementation of QUIC protocol (library)
 ngtcp2 project is an effort to implement QUIC protocol which is
 now being discussed in IETF QUICWG for its standardization.
 .
 This package contains the shared library.

Package: libngtcp2-crypto-gnutls-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libngtcp2-crypto-gnutls2 (= ${binary:Version}),
 ${misc:Depends},
Description: implementation of QUIC protocol (development)
 ngtcp2 project is an effort to implement QUIC protocol which is
 now being discussed in IETF QUICWG for its standardization.
 .
 This package contains the development files.

Package: libngtcp2-crypto-gnutls2
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: implementation of QUIC protocol (library)
 ngtcp2 project is an effort to implement QUIC protocol which is
 now being discussed in IETF QUICWG for its standardization.
 .
 This package contains the shared library.

Package: libngtcp2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libngtcp2-7 (= ${binary:Version}),
 ${misc:Depends},
Description: implementation of QUIC protocol (development)
 ngtcp2 project is an effort to implement QUIC protocol which is
 now being discussed in IETF QUICWG for its standardization.
 .
 This package contains the development files.

Package: ngtcp2-client
Architecture: any
Multi-Arch: foreign
Depends:
 libngtcp2-7 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: implementation of QUIC protocol (development)
 ngtcp2 project is an effort to implement QUIC protocol which is
 now being discussed in IETF QUICWG for its standardization.
 .
 This package contains the ngtcp2 client.

Package: ngtcp2-server
Architecture: any
Multi-Arch: foreign
Depends:
 libngtcp2-7 (= ${binary:Version}),
 ssl-cert,
 ${misc:Depends},
 ${shlibs:Depends},
Description: implementation of QUIC protocol (development)
 ngtcp2 project is an effort to implement QUIC protocol which is
 now being discussed in IETF QUICWG for its standardization.
 .
 This package contains the ngtcp server.
